compact1, compact2, compact3
java.nio.file.attribute

## Interface PosixFileAttributes

- All Superinterfaces:
    BasicFileAttributes

      public interface PosixFileAttributes
      extends BasicFileAttributes

  File attributes associated with files on file systems used by operating systems that implement the Portable Operating System Interface (POSIX) family of standards.

  The POSIX attributes of a file are retrieved using a `PosixFileAttributeView` by invoking its `readAttributes` method.

  Since:
    1.7

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GroupPrincipal` | `group()` | Returns the group owner of the file.
    `UserPrincipal` | `owner()` | Returns the owner of the file.
    `Set<PosixFilePermission>` | `permissions()` | Returns the permissions of the file.

    - ### Methods inherited from interface java.nio.file.attribute.BasicFileAttributes

      `creationTime, fileKey, isDirectory, isOther, isRegularFile, isSymbolicLink, lastAccessTime, lastModifiedTime, size`

- - ### Method Detail

    - #### owner

          UserPrincipal owner()

      Returns the owner of the file.
      Returns:
        the file owner
      See Also:
        `FileOwnerAttributeView.setOwner(java.nio.file.attribute.UserPrincipal)`

    - #### group

          GroupPrincipal group()

      Returns the group owner of the file.
      Returns:
        the file group owner
      See Also:
        `PosixFileAttributeView.setGroup(java.nio.file.attribute.GroupPrincipal)`

    - #### permissions

          Set<PosixFilePermission> permissions()

      Returns the permissions of the file. The file permissions are returned as a set of `PosixFilePermission` elements. The returned set is a copy of the file permissions and is modifiable. This allows the result to be modified and passed to the `setPermissions` method to update the file's permissions.
      Returns:
        the file permissions
      See Also:
        `PosixFileAttributeView.setPermissions(java.util.Set<java.nio.file.attribute.PosixFilePermission>)`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.